import "./ViewTargetProductPage.css";
import TargetProductBreadCrumb from "@/components/breadCrumb/TargetProductBreadCrumb";
import ProductGallery from "@/components/productGallery/ProductGallery";
import TargetProductMainDetails from "@/components/targetProductMainDetails/TargetProductMainDetails";
import RelatedProductsSlider from "@/components/relatedProductsSlider/RelatedProductsSlider";
import FileVectorSvg1 from "@/components/customSvgVectors/FileVectorSvg1";
import FileVectorSvg2 from "@/components/customSvgVectors/FileVectorSvg2";
import MessagesVectorSvg2 from "@/components/customSvgVectors/MessagesVectorSvg2";
import Comments from "@/components/comments/Comments";
import { comments } from "@/data/fakeData";
import TargetProductVoting from "@/components/targetProductVoting/TargetProductVoting";

const ViewTargetProductPage = () => {
  return (
    <section className="view-target-product-page flex-vr">
      <TargetProductBreadCrumb />
      <div className="view-target-product-main-sec flex-hz">
        <ProductGallery />
        <TargetProductMainDetails />
      </div>
      <RelatedProductsSlider />
      <div className="target-product-extra-details-sec flex-vr">
        <ul className="target-product-extra-details-sec-tabs flex-hz">
          <li className="flex-hz active">
            <a href={`#explanations`} className="flex-hz">
              <FileVectorSvg1 />
              توضیحات
            </a>
          </li>
          <li className="flex-hz">
            <a href={`#details-table`} className="flex-hz">
              <FileVectorSvg2 />
              مشخصات محصول
            </a>
          </li>
          <li className="flex-hz">
            <a href={`#comments`} className="flex-hz">
              <MessagesVectorSvg2 />
              دیدگاه کاربران
            </a>
          </li>
        </ul>
        <div className="target-product-explanations-div flex-vr">
          <span className="reference" id="explanations"></span>
          <h2>توضیحات</h2>
          <p>
            مزیت رقابتی کاپشن جک اند جونز آستر داخلی آن می باشد؛ بر خلاف اکثر
            کاپشن ها که از پشم شیشه به عنوان آستر داخلی استفاده می شود، در این
            محصول از آستر الیاف مصنوعی استفاده شده است؛ شایان ذکر است آستر الیاف
            مصنوعی این کاپشن حالت و قابلیت عایق بودن خود را حفظ می کند؛ در
            حالیکه آستر پشم شیشه به مرور نازک می شود و از قابلیت عایق بودن آن
            کاسته می شود. برای روزهای سرد سال و به‌خصوص روزهایی که بارش باران و
            برف در پیش است باید از کاپشنی استفاده کرد که علاوه بر جلوگیری از
            نفوذ رطوبت، گرمای بدن فرد را حفظ کند. طراحی زیبا ؛ دوخت تمیز و ویژگی
            عایق بودن در برابر سرما و رطوبت ، کاپشن جک اند جونز را به گزینه
            مناسبی برای خرید تبدیل کرده است. رویه این کاپشن چرم مصنوعی ؛ رویه
            آستر داخلی آن پارچه ببعی و آستر داخلی آن پشم شیشه می باشد. در قسمت
            سرآستین‌ها از کش‌ مچ مخفی جهت جلوگیری از نفوذ سرما استفاده شده است.
            قواره این کاپشن بزرگ و وزن آن به نسبت کاپشن های مموری و شمعی کمی
            بیشتر است. دارای دو جیب زیپ دار در طرفین و یک جیب داخلی می باشد.
            به‌طور کلی برای تکمیل یک استایل بسیار جذاب و در عین حال محافظت در
            برابر سرما این کاپشن به شما توصیه می شود. لطفا قبل از انتخاب و خرید
            این محصول ، حتما به اندازه های مندرج در جدول راهنمای سایز مراجعه
            فرمایید.
          </p>
        </div>
        <div className="target-product-details-table-div flex-vr">
          <span className="reference" id="details-table"></span>
          <h2>مشخصات محصول</h2>
          <div className="target-product-details-table flex-hz">
            <div className="target-product-details-table-right-div flex-vr">
              <ul className="flex-vr">
                <li className="flex-hz">جنس</li>
                <li className="flex-hz">طرح</li>
                <li className="flex-hz">قد</li>
                <li className="flex-hz">یقه</li>
                <li className="flex-hz">ویژگی‌های ظاهری</li>
                <li className="flex-hz">مورد استفاده</li>
                <li className="flex-hz">جزئیات</li>
                <li className="flex-hz">کشور تولید کننده</li>
              </ul>
            </div>
            <div className="target-product-details-table-left-div flex-vr">
              <ul className="flex-vr">
                <li className="flex-hz">الیاف مصنوعی، شمعی</li>
                <li className="flex-hz">طرح‌دار</li>
                <li className="flex-hz">روی باسن</li>
                <li className="flex-hz">ایستاده</li>
                <li className="flex-hz">مقاومت در برابر آب، کلاه دار</li>
                <li className="flex-hz">اسپرت، روزمره، مهمانی</li>
                <li className="flex-hz">
                  لطفا قبل از انتخاب و خرید این محصول ، حتما به اندازه های مندرج
                  در جدول راهنمای سایز مراجعه فرمایید.
                </li>
                <li className="flex-hz">دانمارک</li>
              </ul>
            </div>
          </div>
        </div>
        <div className="target-product-feedbacks-container flex-vr">
          <span className="reference" id="comments"></span>
          <h2>دیدگاه کاربران</h2>
          <div className="target-product-feedbacks flex-hz">
            <div className="target-product-comments-division flex-hz">
              <Comments comments={comments} />
              <TargetProductVoting />
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default ViewTargetProductPage;
